# Delete a Logic Deletes a logic, including all elements. Endpoint: POST /formulamanager.delete/{id} Security: basic, X-PriceFx-jwt ## Path parameters: - `id` (string, required) The ID of the logic you want to delete. id is the typedId without F suffix. For example, the id attribute of the item with typedId = 2147484835.F is 2147484835. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.csrfToken` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.uniqueName` (string) - `response.data.label` (any) - `response.data.validAfter` (string) - `response.data.status` (string) - `response.data.simulationSet` (any) - `response.data.userGroupEdit` (any) - `response.data.userGroupViewDetails` (any) - `response.data.formulaNature` (any) - `response.data.lastUpdateByName` (string) - `response.data.formulaType` (string) - `response.data.createdByName` (any) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number)